<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>

<form>
    <label>
        <span>Vorname</span>
        <input type="text" required minlength="5" name="firstName">
    </label>

    <label>
        <span>Nachname</span>
        <input type="text" name="lastName">
    </label>

    <button>Speichern</button>
</form>

<a href="https://google.com">Google</a>

<script>
    document.querySelector('form').addEventListener('submit', function (event, x) {
        event.preventDefault()
        console.log('Speichern', event, x)
    })

    document.querySelector('a').addEventListener('click', function (event) {
        event.preventDefault()
        console.log(event)
    })
</script>

</body>
</html>